Bug 61627

Summary: [GTK] Remove Connection::setShouldCloseConnectionOnProcessTermination()
Product: WebKit Reporter: Carlos Garcia Campos <cgarcia>
Component: WebKit2Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: andersca
Priority: P2 Keywords: Gtk
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
Patch mrobinson: review+

Description Carlos Garcia Campos 2011-05-27 06:23:59 PDT
Once bug #61287 (and #61538 for platforms where SOCK_SEQPACKET is not available) is fixed and processes are correctly notified when the other ends closes the connection we don't need Connection::setShouldCloseConnectionOnProcessTermination() anymore.
Comment 1 Carlos Garcia Campos 2011-05-27 06:29:01 PDT
Created attachment 95164 [details]
Patch

This patch depends on bug #61287.
Comment 2 Carlos Garcia Campos 2011-06-10 00:41:17 PDT
Remove dependency on bug #61287, since we finally moved to stream sockets in GTK port. We can now remove Connection::setShouldCloseConnectionOnProcessTermination().
Comment 3 Martin Robinson 2011-06-22 08:25:01 PDT
Comment on attachment 95164 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=95164&action=review

Great. :)

> Source/WebKit2/UIProcess/Launcher/gtk/ProcessLauncherGtk.cpp:65
> +    int socket = GPOINTER_TO_INT(userData);
> +    close(socket);

This can be one line here.

> Source/WebKit2/UIProcess/Launcher/gtk/ProcessLauncherGtk.cpp:96
> +    // Monitor the child process, it calls waitpid to avoid the child process to become a zombie,

avoid the child process to become a zombie -> prevent the child process from becomming a zombie
Comment 4 Carlos Garcia Campos 2011-06-22 08:44:25 PDT
Committed r89433: <http://trac.webkit.org/changeset/89433>